import { EChartsType } from 'echarts/core';
import { Ref } from 'vue';
export declare function useCrossSection(chartRef: Ref<HTMLElement>): {
    createOptions: (data: any) => {};
    setOptions: (options: import("echarts").EChartsOption, clear?: boolean) => void;
    echarts: typeof import("echarts/core");
    getInstance: () => EChartsType | null;
    container: Ref<HTMLElement, HTMLElement>;
    assemble: (value: any, options: any) => any;
    tooltip: (name: any, flow?: any, floDiff?: any, staDiff?: any) => string;
    renderMarkPoint: (params: any, api: any, current: any, points: any, direction: any, scale?: number) => {
        type: string;
        children: ({
            type: string;
            shape: {
                pathData: string;
                x: number;
                y: number;
                width: number;
                height: number;
            };
            style: {
                fill: any;
                shadowBlur: number;
                shadowColor: string;
                text?: undefined;
                x?: undefined;
                y?: undefined;
                font?: undefined;
                borderWidth?: undefined;
                borderRadius?: undefined;
                backgroundColor?: undefined;
                lineWidth?: undefined;
                verticalAlign?: undefined;
                padding?: undefined;
            };
            styleEmphasis: {
                shadowBlur: number;
                shadowColor: string;
                shadowOffsetX: number;
                shadowOffsetY: number;
                font?: undefined;
                fill?: undefined;
                backgroundColor?: undefined;
            };
        } | {
            type: string;
            style: {
                text: string;
                x: number;
                y: number;
                font: string;
                fill: string;
                borderWidth: number;
                borderRadius: number;
                backgroundColor: any;
                lineWidth: number;
                verticalAlign: string;
                padding: number[];
                shadowBlur?: undefined;
                shadowColor?: undefined;
            };
            styleEmphasis: {
                font: string;
                fill: any;
                shadowColor: string;
                shadowBlur: number;
                shadowOffsetX: number;
                shadowOffsetY: number;
                backgroundColor: string;
            };
            shape?: undefined;
        })[];
    } | {
        type: string;
        children: {
            type: string;
            shape: {
                pathData: string;
                x: any;
                y: any;
                width: number;
                height: number;
            };
            style: {
                fill: any;
                shadowBlur: number;
                shadowColor: string;
            };
            styleEmphasis: {
                shadowBlur: number;
                shadowColor: string;
                shadowOffsetX: number;
                shadowOffsetY: number;
            };
        }[];
    } | {
        type: string;
        children: ({
            z2: number;
            type: string;
            shape: {
                cx: any;
                cy: any;
                r: number;
                points?: undefined;
            };
            style: {
                fill: string;
                stroke: any;
                lineWidth?: undefined;
                shadowBlur?: undefined;
                shadowColor?: undefined;
                text?: undefined;
                x?: undefined;
                y?: undefined;
                font?: undefined;
                borderWidth?: undefined;
                borderRadius?: undefined;
                backgroundColor?: undefined;
                padding?: undefined;
            };
            styleEmphasis?: undefined;
        } | {
            type: string;
            shape: {
                points: any[];
                cx?: undefined;
                cy?: undefined;
                r?: undefined;
            };
            style: {
                fill: any;
                lineWidth: number;
                stroke: any;
                shadowBlur: number;
                shadowColor: string;
                text?: undefined;
                x?: undefined;
                y?: undefined;
                font?: undefined;
                borderWidth?: undefined;
                borderRadius?: undefined;
                backgroundColor?: undefined;
                padding?: undefined;
            };
            styleEmphasis: {
                shadowBlur: number;
                shadowColor: string;
                shadowOffsetX: number;
                shadowOffsetY: number;
                font?: undefined;
            };
            z2?: undefined;
        } | {
            type: string;
            style: {
                text: string;
                x: any;
                y: number;
                font: string;
                fill: string;
                borderWidth: number;
                borderRadius: number;
                backgroundColor: any;
                lineWidth: number;
                padding: number[];
                stroke?: undefined;
                shadowBlur?: undefined;
                shadowColor?: undefined;
            };
            styleEmphasis: {
                font: string;
                shadowColor: string;
                shadowBlur: number;
                shadowOffsetX: number;
                shadowOffsetY: number;
            };
            z2?: undefined;
            shape?: undefined;
        })[];
    };
    toggleTable: (visible?: boolean) => void;
};
