import { EChartsType } from 'echarts';
import { Ref } from 'vue';
interface IOverride {
    I: Function;
    M: Function;
    S: Function;
    C: Object;
}
export declare function useHydrology(chartRef?: HTMLElement | Ref, override?: Partial<IOverride>): {
    createOptions: (data: any) => {
        yAxis: {
            layout: number;
            name: string;
            min: (v: any) => number;
            max: (v: any) => number;
        }[];
    };
    setOptions: (options: import("echarts").EChartsOption, clear?: boolean) => void;
    echarts: typeof import("echarts/core");
    getInstance: () => void;
    container: Ref<HTMLElement, HTMLElement>;
    assemble: (valueOri: any, options: any, chart?: EChartsType) => any;
    toSeries: Function;
    toMarks: Function;
    toIndices: Function;
    toggleTable: (visible?: boolean) => void;
    toggleStatistic: (visible?: boolean) => void;
};
export {};
