declare const config: {
    color: string[];
    areaColor: {
        history: string;
        short: string;
        long: string;
        trend: string;
        forecast: string;
    };
    indexColor: {
        1: string;
        2: string;
        3: string;
        4: string;
    };
    markColor: {
        safe: string;
        [-2]: string;
        [-1]: string;
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
    };
    rainfallColor: string[];
    icon: {
        stage: string;
        stageMirror: string;
        altitude: string;
        altitudeMirror: string;
        zoom: string;
        save: string;
        statistics: string;
        tabulation: string;
        exception: string;
    };
    resizeDelay: number;
    mark: {
        series: {
            z: number;
            name: string;
            type: string;
            color: string;
        };
        shape: {
            symbol: {
                label: {
                    fill: string;
                    borderWidth: number;
                    borderRadius: number;
                    padding: number[];
                    fontSize: number;
                };
            };
            index: {
                lineStyle: {
                    lineDash: number[];
                    lineWidth: number;
                    opacity: number;
                };
            };
            rect: {};
            line: {
                itemStyle: {
                    stroke: string;
                    lineWidth: number;
                    lineDash: number[];
                };
            };
            text: {
                label: {
                    fill: string;
                    align: string;
                    fontSize: number;
                };
            };
        };
        side: {
            symbol: string;
            itemStyle: {
                scale: number[];
                offset: number[];
            };
            label: {
                offset: number[];
                align: string;
            };
        }[];
    };
    tooltip: (items: any) => string;
};
export declare const options: {
    $export: {
        file: any;
        sheet: any;
        prevent: boolean;
    };
    color: string[];
    toolbox: {
        show: boolean;
        top: number;
        right: number;
        height: number;
        itemSize: number;
        feature: {
            saveAsImage: {
                title: string;
            };
        };
    };
    tooltip: {
        formatter: (items: any) => string;
        className: string;
    };
    dataset: {
        sourceHeader: boolean;
        source: any[];
    };
    axisPointer: {
        shadowStyle: {
            color: string;
        };
    };
    series: any;
};
export declare const axis: {
    axisLine: {
        show: boolean;
    };
    axisLabel: {};
    axisTick: {};
    splitLine: {};
};
export declare const CATEGORY: {
    RAINFALL: number;
    STAGE: number;
    FLOW: number;
    CAPACITY: number;
    SWC: number;
    OTHER: number;
    TOP_LEFT: number;
    TOP_RIGHT: number;
    MIDDLE_LEFT: number;
    MIDDLE_RIGHT: number;
    BOTTOM_LEFT: number;
    BOTTOM_RIGHT: number;
};
export declare const TYPE_SYMBOL: {
    top: string;
    bottom: string;
    under: string;
    current: string;
};
export declare function setup(newConfig: any, newOptions: any): void;
export default config;
