/**
 * 
 *     @dfsj/echarts： 专业的水文曲线组件或构造函数以及通用的echart二次封装图表
 *     版本: v3.7.0-alpha.2
 *     作者：yangbo <1747837358@qq.com>
 *     日期：2025-06-18 11:28:18
 *     
 *     
 */

import * as echarts from 'echarts';
import completeDimensions from 'echarts/lib/data/helper/createDimensions';

echarts.extendSeriesModel({
  type: 'series.mark',
  visualColorAccessPath: 'textStyle.normal.color',
  optionUpdated: function optionUpdated() {
    var option = this.option;
    option.gridSize = Math.max(Math.floor(option.gridSize), 4);
  },
  getInitialData: function getInitialData(option, ecModel) {
    var dimensions = completeDimensions(['value'], option.data);
    var list = new echarts.List(dimensions, this);
    list.initData(option.data || []);
    return list;
  },
  defaultOption: {
    coordinateSystem: 'cartesian2d',
    animation: true,
    labelAreas: []
  }
});
