/**
 * 
 *     @dfsj/echarts： 专业的水文曲线组件或构造函数以及通用的echart二次封装图表
 *     版本: v3.7.0-alpha.2
 *     作者：yangbo <1747837358@qq.com>
 *     日期：2025-06-18 11:28:18
 *     
 *     
 */

import * as echarts from 'echarts';
import completeDimensions from 'echarts/lib/data/helper/createDimensions';

echarts.extendSeriesModel({
  type: 'series.water',
  visualColorAccessPath: 'textStyle.normal.color',
  getInitialData: function getInitialData(option, ecModel) {
    var dimensions = completeDimensions(['value'], option.data);
    var list = new echarts.List(dimensions, this);
    list.initData(option.data || []);
    return list;
  },
  defaultOption: {
    coordinateSystem: 'cartesian2d',
    count: 10,
    speedX: 0.1,
    speedY: 0.01,
    wave: 100,
    amplitude: 5
  }
});
