/**
 * 
 *     @dfsj/echarts： 专业的水文曲线组件或构造函数以及通用的echart二次封装图表
 *     版本: v3.7.0-alpha.2
 *     作者：yangbo <1747837358@qq.com>
 *     日期：2025-06-18 11:28:18
 *     
 *     
 */

import { reactive, ref } from 'vue';
import { createComponent } from './createComponent.js';
import './ToolTip.vue.js';
import script from './ToolTip.vue2.js';

function useToolTip(target) {
  var offset = reactive({
    x: 0,
    y: 0
  });
  var content = ref(null);
  var hidden = ref(true);
  var _createComponent = createComponent(script, {
      offset: offset,
      content: content,
      hidden: hidden
    }, target),
    close = _createComponent.close,
    open = _createComponent.open;
  return {
    close: close,
    open: open,
    offset: offset,
    content: content,
    hidden: hidden
  };
}

export { useToolTip };
